{ config, pkgs, ... }:

{
  # Gestion du swap
  
  # https://en.wikipedia.org/wiki/Swappiness
  boot.kernel.sysctl = pkgs.lib.mkIf config.r6d.config-generator.swap {
    # le swap est activé (!= 0)
    # le swap est utilisé lorsque (100 - x) % de la mémoire est déja allouée
    "vm.swappiness" = 10;
  };
}
